package com.ylcm.sys.domain;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.List;

/**
 * 权限实体
 */
public class Permission implements Serializable {

	private static final long serialVersionUID = 9062251910636681333L;

	private int permissionId; // 权限id
	private String type; // 类型 menu:父级 ，submenu：子集
	private int pid; // 父级id
	private String name; // 名称
	private String code; // 编码
	private String url; // 路径
	private int rank; // 排序 从1开始依次增加
	private String logo; // logo样式
	private Timestamp crtTime; // 创建时间
	private Timestamp updTime; // 更新时间

	private int roleId; // 角色id
	private List<Permission> subPerms; // 子权限
	
	private int count;
	
	public int getPermissionId() {
		return permissionId;
	}

	public void setPermissionId(int permissionId) {
		this.permissionId = permissionId;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public int getPid() {
		return pid;
	}

	public void setPid(int pid) {
		this.pid = pid;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getUrl() {
		return url;
	}

	public void setUrl(String url) {
		this.url = url;
	}

	public int getRank() {
		return rank;
	}

	public void setRank(int rank) {
		this.rank = rank;
	}

	public String getLogo() {
		return logo;
	}

	public void setLogo(String logo) {
		this.logo = logo;
	}

	public Timestamp getCrtTime() {
		return crtTime;
	}

	public void setCrtTime(Timestamp crtTime) {
		this.crtTime = crtTime;
	}

	public Timestamp getUpdTime() {
		return updTime;
	}

	public void setUpdTime(Timestamp updTime) {
		this.updTime = updTime;
	}

	public List<Permission> getSubPerms() {
		return subPerms;
	}

	public void setSubPerms(List<Permission> subPerms) {
		this.subPerms = subPerms;
	}

	public int getRoleId() {
		return roleId;
	}

	public void setRoleId(int roleId) {
		this.roleId = roleId;
	}

	public int getCount() {
		return count;
	}

	public void setCount(int count) {
		this.count = count;
	}


}